let loadingDiv = document.getElementById('loading');
let resultDiv = document.getElementById('result');
const timeout = 30000;

function getTable() {
    // Send XHR to totalTable
    let xhr = new XMLHttpRequest();
    xhr.timeout = timeout;
    xhr.onreadystatechange = function() {
        if (xhr.readyState === XMLHttpRequest.DONE) {
            if (xhr.status === 200) {
                setData(xhr.responseText);
            } else {
                setError();
            }
        }
    };
    xhr.open('GET', '/total-table', true);
    xhr.send();
    window.xhr = xhr;
}

function setData(text) {
    loadingDiv.style.display = "none";
    resultDiv.innerHTML = text;
}

function setError() {
    loadingDiv.style.display = "none";
    resultDiv.innerHTML = "An error occured";
}

getTable();
